package ru.yandex.autotests.directintapi.bstransport;

import java.util.Arrays;

import ru.yandex.autotests.direct.utils.model.RegionIDValues;

import static ru.yandex.autotests.directintapi.bstransport.TransportTestUtils.regionListToString;

public class TestRegionsSet {
    public static String defaultAdgroupSrcGeo = regionListToString(
            Arrays.asList(RegionIDValues.BELARUS, RegionIDValues.KIEV, RegionIDValues.RUSSIA));
    public static String defaultBannerCurentMinusGeo = regionListToString(Arrays.asList(RegionIDValues.RUSSIA));
    public static String defaultBannerBsSyncedMinusGeo = regionListToString(Arrays.asList(RegionIDValues.UKRAINE));
    public static String adgroupGeoExceptCurrent = regionListToString(Arrays.asList(RegionIDValues.BELARUS, RegionIDValues.KIEV));
    public static String adgroupGeoExceptBsSynced = regionListToString(Arrays.asList(RegionIDValues.BELARUS, RegionIDValues.RUSSIA));

    public static String wholeWorldGeo = regionListToString(Arrays.asList(RegionIDValues.WHOLE_WORLD));
    public static String wholeWorldGeoExceptCurrent = regionListToString(Arrays.asList(RegionIDValues.WHOLE_WORLD),
            Arrays.asList(RegionIDValues.RUSSIA));

    public static String noWhereGeo = regionListToString(Arrays.asList(RegionIDValues.BS_MOON));
}
